Tuesday, 16 December 2014

Java Pathfinder and gnuplot

例年、はまるわけですが、それは、

* Mac OS X のupdate と重なるから

でもあるな。今年は clean install してしまったので、

ant がない

で、EasyPackage でant を作ろうとしたら、

wget が ssl で動かない

おいおい。wget は --with-no-ssl になっていた。--with-ssl=openssl で動いたが。それでいいのか?

で、ant の足りないJava libraryを足して終わり。Java Pathfinder 自体は Java 8 で ant 一発で動きました。これも epkg にいれておくか。

Amdal則のグラフを見せようとしたら gnuplot が動かない。libpng12 がないとおっしゃる。

* こんなこともあろうかと、OS X のGrapher.appでも見せられるようになっているのだよ

なんだけど、gnuplot もepkgで作るかと思ったら、やっぱり、libpng12 がない。今はlibpng16? うーん。で、ぐぐったら、

* libgd だけで良い

え、そういうこと? まぁ、いいか。で、libgd を update して終わり。お疲れ様でした。

Java Pathfinder のepkg化も難しくはないが、ゼミ前に、ちょっと、緑の多重三角落としてきます。
Post a Comment